# Yahoo! UI Library

### datasource 3.3.0

Yahoo! UI Library > datasource > Pollable
Search:
Filters Show Private Show Protected Show Deprecated

## Class Pollable - extends DataSource.Local

Adds polling to the DataSource Utility.

### Properties

#### _intervals - `private object`

Hash of polling interval IDs that have been enabled, stored here to be able to clear all intervals.

#### Properties inherited from Plugin.Host:

`PluginHost`

#### Properties inherited from Attribute:

``

#### Properties inherited from Base:

`name`

#### Properties inherited from DataSource.Local:

``

### Methods

#### clearAllIntervals

`void clearAllIntervals ( )`
Clears all intervals.

#### clearInterval

`void clearInterval ( id )`
Disables polling mechanism associated with the given interval ID.

Parameters:
  `id <Number>` Interval ID.

#### setInterval

`Number setInterval ( msec , request )`
Sets up a polling mechanism to send requests at set intervals and forward responses to given callback.

Parameters:
  `msec <Number>` Length of interval in milliseconds.
  `request <Object>` An object literal with the following properties:
  `request`
    The request to send to the live data source, if any.
  `callback`
    An object literal with the following properties:
    `success`
      The function to call when the data is ready.
    `failure`
      The function to call upon a response failure condition.
    `argument`
      Arbitrary data payload that will be passed back to the success and failure handlers.
  `cfg`
    Configuration object, if any.

Returns: `Number`
  Interval ID.

#### Methods inherited from EventTarget:

`_getType, _monitor, _parseType, addTarget, after, before, bubble, detach, detachAll, fire, getEvent, getTargets, on, once, parseType, publish, removeTarget, subscribe, unsubscribe, unsubscribeAll`

#### Methods inherited from Attribute:

`_addAttrs, _addLazyAttr, _defAttrChangeFn, _fireAttrChange, _getAttr, _getAttrCfg, _getAttrInitVal, _getAttrs, _getStateVal, _isLazyAttr, _normAttrVals, _protectAttrs, _set, _setAttr, _setAttrs, _setAttrVal, _setStateVal, addAttr, addAttrs, attrAdded, get, getAttrs, modifyAttr, removeAttr, reset, set, setAttrs`

#### Methods inherited from Plugin.Host:

`_destroyPlugins, _initPlugins, hasPlugin, plug, unplug`

#### Methods inherited from Base:

`_aggregateAttrs, _defDestroyFn, _defInitFn, _destroyHierarchy, _filterAttrCfs, _getAttrCfgs, _getClasses, _initHierarchy, _initHierarchyData, _preInitEventCfg, destroy, init, toString`

#### Methods inherited from DataSource.Local:

`_defDataFn, _defRequestFn, _defResponseFn, _initEvents, initializer, sendRequest`

#### Events inherited from Base:

`destroy, destroyedChange, init, initializedChange,`

#### Events inherited from DataSource.Local:

`data, error, request response sourceChange`

#### Configuration attributes inherited from Base:

`destroyed initialized`

#### Configuration attributes inherited from DataSource.Local:

`source`

Copyright © 2011 Yahoo! Inc. All rights reserved.